﻿# Der Windows Papst www.der-windows-papst.de
# Zertifikate einlesen und eine Kette erzeugen
Get-ChildItem -filter "*.pem" | % { Get-Content $_ -ReadCount 0 | Add-Content fritzbox.pem }

# Lets Encrypt Archiv.zip entpacken, zuvor erstelltes FritzBox Zertifikat löschen, 3 PEMs einlesen und eine neues FritzBox Zertifikat erzeugen
Expand-Archive -Path ".\archive.zip" -DestinationPath ".\"

$FileName = ".\fritzbox.pem"
if (Test-Path $FileName) 
{
  Remove-Item $FileName
}

$files = Get-ChildItem '.\cert.pem', '.\chain.pem', '.\privkey.pem'
$files | foreach { Get-Content $_ | Add-Content '.\fritzbox.pem' }

# Alle alten PEMs löschen, Lets Encrypt Archiv.zip entpacken und eine neues FritzBox Zertifikat erzeugen
$FileName = ".\*.pem"
if (Test-Path $FileName) 
{
  Remove-Item $FileName
}
Expand-Archive -Path ".\archive.zip" -DestinationPath ".\"
$files = Get-ChildItem '.\cert.pem', '.\chain.pem', '.\privkey.pem'
$files | foreach { Get-Content $_ | Add-Content '.\fritzbox.pem' }